Create Simple Project

POST /tm/api/v1/projects/create/simple

Operation id: createSimpleProject

Description

Create a simple project in Task Manager.

Security

  • ApiKeyAuth (apiKey)
    • API key passed in the apikey request header.

Responses

200 — Success

Content type: application/json

400 — Error

Content type: application/json

Request body

Required: Yes

multipart/form-data

Schema

PropertyTypeRequiredDescription
messageTypestringYesProject Type ID
projectTitlestringYesProject Title
startDatestring (date)YesProject Start Date
endDatestring (date)YesProject End Date
prioritystringNoProject Priority
unitIdstringNoComma separated Unit IDs
listIdstringNoComma separated Distribution List IDs
userIdstringYesCreator's User ID
assignDeptstringYesProject responsible department
assignTostringYesProject responsible profile ID
assignUserstringNoProject assigned to specific user
attachURLstringNoComma separated URLs to be attached
filestring (binary)NoFile attachments
projNotesstringNoProject Notes
execLevelstringNoProject Execution Level
{
  "type": "object",
  "required": [
    "messageType",
    "projectTitle",
    "startDate",
    "endDate",
    "userId",
    "assignDept",
    "assignTo"
  ],
  "properties": {
    "messageType": {
      "type": "string",
      "description": "Project Type ID"
    },
    "projectTitle": {
      "type": "string",
      "description": "Project Title"
    },
    "startDate": {
      "type": "string",
      "format": "date",
      "description": "Project Start Date",
      "example": "Date in System Date Format"
    },
    "endDate": {
      "type": "string",
      "format": "date",
      "description": "Project End Date",
      "example": "Date in System Date Format"
    },
    "priority": {
      "type": "string",
      "description": "Project Priority"
    },
    "unitId": {
      "type": "string",
      "description": "Comma separated Unit IDs"
    },
    "listId": {
      "type": "string",
      "description": "Comma separated Distribution List IDs"
    },
    "userId": {
      "type": "string",
      "description": "Creator's User ID"
    },
    "assignDept": {
      "type": "string",
      "description": "Project responsible department"
    },
    "assignTo": {
      "type": "string",
      "description": "Project responsible profile ID"
    },
    "assignUser": {
      "type": "string",
      "description": "Project assigned to specific user"
    },
    "attachURL": {
      "type": "string",
      "description": "Comma separated URLs to be attached"
    },
    "file": {
      "type": "string",
      "format": "binary",
      "description": "File attachments"
    },
    "projNotes": {
      "type": "string",
      "description": "Project Notes"
    },
    "execLevel": {
      "type": "string",
      "description": "Project Execution Level"
    }
  }
}

Response models

200 — Success

Content type: application/json

Schema

PropertyTypeRequiredDescription
statusstringNo
dataobjectNo
messagestringNo
{
  "type": "object",
  "properties": {
    "status": {
      "type": "string",
      "example": "SUCCESS"
    },
    "data": {
      "type": "object",
      "properties": {
        "projectId": {
          "type": "string",
          "example": "12345"
        },
        "assignedTo": {
          "type": "string",
          "example": "SM"
        },
        "projectTitle": {
          "type": "string",
          "example": "Floor security: Use of safety equipment"
        }
      }
    },
    "message": {
      "type": "string",
      "example": "4011215 - Project successfully submitted to queue."
    }
  }
}

Example:

{
  "status": "SUCCESS",
  "data": {
    "projectId": "12345",
    "assignedTo": "SM",
    "projectTitle": "Floor security: Use of safety equipment"
  },
  "message": "4011215 - Project successfully submitted to queue."
}

400 — Error

Content type: application/json

Schema

PropertyTypeRequiredDescription
statusstringNo
errorarrayNo
{
  "type": "object",
  "properties": {
    "status": {
      "type": "string",
      "example": "ERROR"
    },
    "error": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string"
          },
          "message": {
            "type": "string"
          }
        }
      }
    }
  }
}

Example:

{
  "status": "ERROR",
  "error": [
    {
      "code": "1005",
      "message": "Please Provide Unit Id OR List Id"
    }
  ]
}